| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModBGParms Struct Reference
Business Group

Modify Business Group Parameters. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__MDRIndicator * | MDRIndicator
| Message Detail Recording Indicator. More...
char * | MDRCustID
| Message Detail Recording Customer ID. More...
unsp__NumberPlanName | NumberPlanName
| Default Private Number Plan Name. More...
unsp__NumberPlanName | BGCommonNumberPlanName
| The name of a common numbering plan to be used when BGLs "escape" from a BG private numbering plan. More...
char * | DisplayNumber
| When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number. More...
int * | MediaSvrRetryCount
| Media Server Retry Count. More...
int * | MediaSvrTimeoutInterval
| Media Server Timeout Interval. More...
int * | InputRetryCount
| Input Retry Count. More...
xsd__boolean * | DNReserveEnabled
| Indicates whether DN reservation is enabled. More...
unsp__digits | BGAccessCode
| Business Group Access Code. More...
xsd__string | NewBGName
| The New Business Group Name. More...
xsd__boolean * | Trusted
| Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs. More...
xsd__boolean * | ReverseMlhgHMBToggleLED
| Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM. More...

## Detailed Description

Modify Business Group Parameters.

## Member Data Documentation

## ◆ BGAccessCode

unsp__digits unsp__ModBGParms::BGAccessCode

Business Group Access Code.

required: false
default value[range]: NA [1..15]

## ◆ BGCommonNumberPlanName

unsp__NumberPlanName unsp__ModBGParms::BGCommonNumberPlanName

The name of a common numbering plan to be used when BGLs "escape" from a BG private numbering plan.

Only one BGCommonNumberPlanName is allowed per BG, Note that the specified numbering plan must be reserved for the BG before it can be assigned as the BG Common Numbering Plan.
required: false

See also
  unsp__NumberPlanName

## ◆ DisplayNumber

char* unsp__ModBGParms::DisplayNumber

When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number.

required: false
default value[range]: NA [1..15]

## ◆ DNReserveEnabled

xsd__boolean* unsp__ModBGParms::DNReserveEnabled

Indicates whether DN reservation is enabled.

required: false
default value[range]: NA

## ◆ InputRetryCount

int* unsp__ModBGParms::InputRetryCount

Input Retry Count.

The maximum number of times to retry in response to invalid subscriber input. Specific to the HotDesking feature.
required: false
default value[range]: 3 [1..5]

## ◆ MDRCustID

char* unsp__ModBGParms::MDRCustID

Message Detail Recording Customer ID.

A string of digits associated with a BG that must be unique in the switch.
required: false
default value[range]: NA [1..10]

## ◆ MDRIndicator

enum unsp__MDRIndicator* unsp__ModBGParms::MDRIndicator

Message Detail Recording Indicator.

This parameter is set as On/Off to indicate the insertion of the MDR Customer ID in the CDR records. To enable this feature, the MDR Customer ID must be provided.
required: false
default value[range]: Off

## ◆ MediaSvrRetryCount

int* unsp__ModBGParms::MediaSvrRetryCount

Media Server Retry Count.

Specifies the number of times to re-try a failed media server request for digit collection. Specific to the Hot Desking feature.
required: true
default value[range]: 3 [1..5]

## ◆ MediaSvrTimeoutInterval

int* unsp__ModBGParms::MediaSvrTimeoutInterval

Media Server Timeout Interval.

Timeout period for media server requests. Specific to the Hot Desking feature.
required: true
default value[range]: 15 [1..60]

## ◆ NewBGName

xsd__string unsp__ModBGParms::NewBGName

The New Business Group Name.

required: false

See also
  unsp__BGName

## ◆ NumberPlanName

unsp__NumberPlanName unsp__ModBGParms::NumberPlanName

Default Private Number Plan Name.

required: false

See also
  unsp__NumberPlanName

## ◆ ReverseMlhgHMBToggleLED

xsd__boolean* unsp__ModBGParms::ReverseMlhgHMBToggleLED

Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM.

required: false
default value[range]: false

## ◆ Trusted

xsd__boolean* unsp__ModBGParms::Trusted

Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h